import { FormState, FormSchemaType } from './types';
import { BlurFieldAction } from './actions/blurField';
import { MountFieldAction } from './actions/mountField';
import { SetFieldStateAction } from './actions/setFieldState';
import { SetFieldValidationAction } from './actions/setFieldValidation';
import { SetFieldValueAction } from './actions/setFieldValue';
import { UnmountFieldAction } from './actions/unmountField';
import { ValidateFieldAction } from './actions/validateField';
import { ValidateSubmissionAction } from './actions/validateSubmission';
export declare type FormAction = BlurFieldAction | MountFieldAction | SetFieldStateAction | SetFieldValidationAction | SetFieldValueAction | UnmountFieldAction | ValidateFieldAction | ValidateSubmissionAction;
export declare type UseFormOpts = {
    fromState?: Record<string, any>;
};
export declare const useForm: <T extends FormSchemaType = FormSchemaType>(opts?: UseFormOpts) => FormState<T>;
